
package gunav2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class b4xpages implements IRemote{
	public static b4xpages mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public b4xpages() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
     private static PCBA pcBA = new PCBA(null, b4xpages.class);
    static {
		mostCurrent = new b4xpages();
        remoteMe = RemoteObject.declareNull("gunav2.keymon.com.mx.b4xpages");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("b4xpages"), "gunav2.keymon.com.mx.b4xpages");
        RDebug.INSTANCE.eventTargets.put(new DeviceClass("gunav2.keymon.com.mx.b4xpages"), new java.lang.ref.WeakReference<PCBA> (pcBA));
	}
   
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
	public PCBA create(Object[] args) throws ClassNotFoundException{
        throw new RuntimeException("CREATE is not supported.");
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _mpm = RemoteObject.declareNull("Object");
public static RemoteObject _delegate = RemoteObject.declareNull("gunav2.keymon.com.mx.b4xpagesdelegator");
public static RemoteObject _globalcontext = RemoteObject.declareNull("Object");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static gunav2.keymon.com.mx.main _main = null;
public static gunav2.keymon.com.mx.starter _starter = null;
public static gunav2.keymon.com.mx.subs _subs = null;
public static gunav2.keymon.com.mx.appupdater _appupdater = null;
public static gunav2.keymon.com.mx.tracker _tracker = null;
public static gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public static gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public static gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public static gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(gunav2.keymon.com.mx.appupdater.class),"B4XCollections",Debug.moduleToString(gunav2.keymon.com.mx.b4xcollections.class),"DateUtils",b4xpages.mostCurrent._dateutils,"Delegate",b4xpages._delegate,"FirebaseMessaging",Debug.moduleToString(gunav2.keymon.com.mx.firebasemessaging.class),"GlobalContext",b4xpages._globalcontext,"HttpUtils2Service",Debug.moduleToString(gunav2.keymon.com.mx.httputils2service.class),"Main",Debug.moduleToString(gunav2.keymon.com.mx.main.class),"MAPA_RUTAS",Debug.moduleToString(gunav2.keymon.com.mx.mapa_rutas.class),"mPM",b4xpages._mpm,"newinst2",Debug.moduleToString(gunav2.keymon.com.mx.newinst2.class),"Starter",Debug.moduleToString(gunav2.keymon.com.mx.starter.class),"Subs",Debug.moduleToString(gunav2.keymon.com.mx.subs.class),"Tracker",Debug.moduleToString(gunav2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(gunav2.keymon.com.mx.xuiviewsutils.class)};
}
}